Click here to Skip to main content
15,947,389 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
Dear Experts,
I am making A Application on windows 7 using vs2012,
before compile It I set A platform target to Any CPU

It working fine with Windows and upper Versions

but when i want to use this exe with Windows xp This is not working ..

win 32 is not a valid application show error like this..

if i change it with Platform target to X86

....then i am facing same problem..?
Posted
Comments
Sinisa Hajnal 7-Oct-15 5:01am    
XP does not support newer .NET versions (and vice versa). You have to build your app with .NET 3.5 or lower.
Aditya Chauhan 7-Oct-15 9:32am    
Mr Sinish Windows xp Support 4.0
Sinisa Hajnal 8-Oct-15 13:44pm    
Yes, but you have to install it.
Maciej Los 7-Oct-15 5:25am    
What is destination .net framework version?
You can install newer version of .net framework on WinXP, which has to make able to use *.exe.
BulletVictim 7-Oct-15 6:55am    
The lowest supported .net for xp sp3 is 4.0. .net also needs to be installed. I believe if you would like to run the application without the requirement of .net, then you would probably need to drop your solutions version down to 2.0 or lower.

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)

  Print Answers RSS
Top Experts
Last 24hrsThis month


CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900